## trove-classifiers 2025.1.15.22

=== Makefile ===
BINDIR = $(PWD)/.state/env/bin

.state/env/pyvenv.cfg: requirements/dev.txt
	rm -rf .state/env
	python -m venv .state/env

	# install/upgrade general requirements
	$(BINDIR)/python -m pip install --upgrade pip setuptools wheel

	# install various types of requirements
	$(BINDIR)/python -m pip install -r requirements/dev.txt

test: .state/env/pyvenv.cfg
	$(BINDIR)/python -m pip install .
	$(BINDIR)/pytest
	$(BINDIR)/python -m tests.lib

lint: .state/env/pyvenv.cfg
	$(BINDIR)/black --check bin setup.py src tests
	$(BINDIR)/python bin/sort.py src/trove_classifiers/__init__.py
	$(BINDIR)/mypy src

reformat: .state/env/pyvenv.cfg
	$(BINDIR)/black tests src

.PHONY: build test lint reformat

## trove-classifiers 2022.12.22

=== debian/changelog ===
trove-classifiers (2022.12.22-1) unstable; urgency=medium

  * Initial release. (Closes: #1026341)
  * Remove autogenerated files
  * Set maintainer as Debian Python Team

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sun, 25 Dec 2022 15:15:14 +0000

=== debian/control ===
Source: trove-classifiers
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Gudjon I. Gudjonsson <gudjon@gudjon.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-setuptools,
 python3-all,
 pybuild-plugin-pyproject,
 python3-pytest,
Standards-Version: 4.6.2
Homepage: https://github.com/pypa/trove-classifiers
Vcs-Browser: https://salsa.debian.org/python-team/packages/trove-classifiers
Vcs-Git: https://salsa.debian.org/python-team/packages/trove-classifiers.git
Testsuite: autopkgtest-pkg-pybuild

Package: python3-trove-classifiers
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
Description: Validates classifiers in packages for PyPI
 The package provides a canonical source for classifiers on PyPI.
 .
 The Classifiers categorize projects per PEP 301. Use this package to validate
 classifiers in packages for PyPI upload or download.
 .
 This package installs the library for Python 3.

## trove-classifiers 2023.4.18

=== debian/changelog ===
trove-classifiers (2023.4.18-1) unstable; urgency=medium

  * Team upload.
  * d/gbp.conf: Extend with some more default data
  * New upstream version 2023.4.18
  * d/copyright: Update year data
  * d/u/metadata: Add basic metadata
  * d/control: Add BuildProfileSpec to Build-Depends
  * autopkgtest: Add upstream tests for starting

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 22 Apr 2023 08:09:35 +0200

trove-classifiers (2022.12.22-2) unstable; urgency=medium

  * Team upload.
  * No-change re-upload to let the package migrate to testing.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 12 Jan 2023 22:39:27 +0400

=== debian/watch ===
version=4

# PGP signature mangle, so foo.tar.gz has foo.tar.gz.sig.
#opts="pgpsigurlmangle=s%$%.sig%"

# PyPI.
https://pypi.debian.net/trove-classifiers/trove-classifiers-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## trove-classifiers 2023.5.24

=== debian/changelog ===
trove-classifiers (2023.5.24-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2023.5.24

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 18 Jun 2023 08:19:26 +0200

## trove-classifiers 2023.7.6

=== debian/changelog ===
trove-classifiers (2023.7.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2023.7.6

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 11 Jul 2023 19:11:14 +0200

## trove-classifiers 2023.9.19

=== debian/changelog ===
trove-classifiers (2023.9.19-1) unstable; urgency=medium

  * Team upload.
  * [c68304f] New upstream version 2023.9.19

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 24 Sep 2023 09:44:35 +0200

## trove-classifiers 2024.1.31

=== debian/changelog ===
trove-classifiers (2024.1.31-1) unstable; urgency=medium

  * Team upload.
  * [f52140d] New upstream version 2024.1.31
  * [6740d81] d/copyright: Update year data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 13 Feb 2024 16:18:07 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  python3-setuptools,
  python3-all,
  pybuild-plugin-pyproject,
- python3-pytest,
+ python3-pytest <!nocheck>,
 Standards-Version: 4.6.2
 Homepage: https://github.com/pypa/trove-classifiers
 Vcs-Browser: https://salsa.debian.org/python-team/packages/trove-classifiers

=== debian/rules ===
#!/usr/bin/make -f

# See debhelper(7) (uncomment to enable).
# Output every command that modifies files on the build system.
#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk
export DEB_VERSION_UPSTREAM

export PYBUILD_NAME=trove-classifiers

%:
	dh $@ --buildsystem=pybuild

## trove-classifiers 2024.4.10

=== debian/changelog ===
trove-classifiers (2024.4.10-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2024.4.10
  * d/control: Bump Standards-Version to 4.7.0

 -- Kalyani Kenekar <kalyaniknkr@gmail.com>  Sun, 23 Jun 2024 14:47:13 +0530

## trove-classifiers 2024.9.12

=== debian/changelog ===
trove-classifiers (2024.9.12-1) unstable; urgency=medium

  * Team upload.

  [ Carsten Schoenert ]
  * d/watch: Move to Git mode on GitHub

  [ Timo Röhling ]
  * New upstream version 2024.9.12
  * Remove obsolete autopkgtest 'smoke'

 -- Timo Röhling <roehling@debian.org>  Sat, 28 Sep 2024 16:01:33 +0200

## trove-classifiers 2025.1.15.22

=== debian/changelog ===
trove-classifiers (2025.1.15.22-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Thu, 06 Feb 2025 17:09:22 +0000

## trove-classifiers 2025.2.18.16

=== debian/changelog ===
trove-classifiers (2025.2.18.16-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Mon, 24 Feb 2025 18:17:46 +0000

## trove-classifiers 2025.3.19.19

=== debian/changelog ===
trove-classifiers (2025.3.19.19-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sun, 23 Mar 2025 20:16:25 +0000

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  python3-all,
  pybuild-plugin-pyproject,
  python3-pytest <!nocheck>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/pypa/trove-classifiers
 Vcs-Browser: https://salsa.debian.org/python-team/packages/trove-classifiers
 Vcs-Git: https://salsa.debian.org/python-team/packages/trove-classifiers.git

## trove-classifiers 2025.4.11.15

=== debian/changelog ===
trove-classifiers (2025.4.11.15-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Tue, 22 Apr 2025 16:02:11 +0100

## trove-classifiers 2025.4.28.22

=== debian/changelog ===
trove-classifiers (2025.4.28.22-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Thu, 01 May 2025 13:43:53 +0100

## trove-classifiers 2025.9.8.13

=== debian/changelog ===
trove-classifiers (2025.9.8.13-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Standards-Version: 4.7.2.

 -- Colin Watson <cjwatson@debian.org>  Mon, 08 Sep 2025 16:19:37 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  python3-all,
  pybuild-plugin-pyproject,
  python3-pytest <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/pypa/trove-classifiers
 Vcs-Browser: https://salsa.debian.org/python-team/packages/trove-classifiers
 Vcs-Git: https://salsa.debian.org/python-team/packages/trove-classifiers.git

## trove-classifiers 2025.9.11.17

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 .state/env/pyvenv.cfg: requirements/dev.txt
 	rm -rf .state/env
-	python -m venv .state/env
+	python3 -m venv .state/env
 
 	# install/upgrade general requirements
 	$(BINDIR)/python -m pip install --upgrade pip setuptools wheel

=== debian/changelog ===
trove-classifiers (2025.9.11.17-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Mark python3-trove-classifiers Multi-Arch: foreign.

 -- Colin Watson <cjwatson@debian.org>  Tue, 30 Sep 2025 11:41:21 +0100

=== debian/control ===
--- 
+++ 
@@ -20,6 +20,7 @@
 
 Package: python3-trove-classifiers
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${python3:Depends},
  ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -9,5 +9,9 @@
 
 export PYBUILD_NAME=trove-classifiers
 
+ifeq ($(PYBUILD_AUTOPKGTEST),)
+export PYBUILD_TEST_ARGS := --deselect tests/test_cli.py
+endif
+
 %:
 	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4

# PGP signature mangle, so foo.tar.gz has foo.tar.gz.sig.
#opts="pgpsigurlmangle=s%$%.sig%"

opts="mode=git, \
      compression=gz, \
      pgpmode=none, \
      uversionmangle=s/(\d)[_\.\-\+]?((a|alpha|b|beta|dev|pre|RC|rc)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
https://github.com/pypa/trove-classifiers.git \
      refs/tags/(\d\S+)

## trove-classifiers 2025.11.14.15

=== debian/changelog ===
trove-classifiers (2025.11.14.15-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop "Rules-Requires-Root: no", default as of dpkg-dev 1.22.13.

 -- Colin Watson <cjwatson@debian.org>  Wed, 26 Nov 2025 12:28:56 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Gudjon I. Gudjonsson <gudjon@gudjon.org>
-Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
